BRK(2)

NAME
brk, sbrk - change data segment size

SYNOPSIS
#include <unistd.h>

int brk(void *end_data_segment);
void *sbrk(ptrdiff_tincrement);

DESCRIPTION
brk sets the end of the data segment to the value specified by end_data_segment. end_datasegment must be greater than end of the text segment and it must be 16kB before the end of the stack. sbrk increments the program's data space by increment bytes. sbrk isn't a system call, it is just a C library wrapper.

RETURN VALUE
On success, brk returns zero, and sbrk returns a pointer to the start of the new area. On error, -1 is returned, and errno is set to ENOMEM.

CONFORMING TO
BSD 4.3 brk and sbrk are not defined in the C Standard and are deliberately excluded from the POSIX.1 standard (see paragraphs B.1.1.1.3 and B.8.3.3).

SEE ALSO
execve(2), getrlimit(2), malloc(3), end(3)